# xorpattern.cpp File Reference

Implementation of the "XOR Pattern" layer. More...

`#include "xorpattern.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (XORPattern)
| SYNFIG_LAYER_SET_NAME (XORPattern,"xor_pattern")
| SYNFIG_LAYER_SET_LOCAL_NAME (XORPattern, N_("XOR Pattern"))
| SYNFIG_LAYER_SET_CATEGORY (XORPattern, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (XORPattern,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (XORPattern,"$Id$")

## Detailed Description

Implementation of the "XOR Pattern" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_LAYER_INIT | ( | XORPattern |  | ) |

SYNFIG_LAYER_SET_NAME | ( | XORPattern | ,
|  | "xor_pattern" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | XORPattern | ,
|  | N_("XOR Pattern") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | XORPattern | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | XORPattern | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | XORPattern | ,
|  | "$Id$" |  |
| ) |  |  |